org.openmuc.openiec61850

## Enum BdaTapCommand.TapCommand

- java.lang.Object
- - java.lang.Enum<BdaTapCommand.TapCommand>
  - - org.openmuc.openiec61850.BdaTapCommand.TapCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BdaTapCommand.TapCommand>

Enclosing class:
  BdaTapCommand

    public static enum BdaTapCommand.TapCommand
    extends java.lang.Enum<BdaTapCommand.TapCommand>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HIGHER`
`LOWER`
`RESERVED`
`STOP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIntValue()`
`static BdaTapCommand.TapCommand` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BdaTapCommand.TapCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STOP

    public static final BdaTapCommand.TapCommand STOP

#### LOWER

    public static final BdaTapCommand.TapCommand LOWER

#### HIGHER

    public static final BdaTapCommand.TapCommand HIGHER

#### RESERVED

    public static final BdaTapCommand.TapCommand RESERVED

### Method Detail

#### values

    public static BdaTapCommand.TapCommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BdaTapCommand.TapCommand c : BdaTapCommand.TapCommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BdaTapCommand.TapCommand valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getIntValue

    public int getIntValue()